package com.khmer9.boxingapplication.ui.event

import android.os.Bundle
import androidx.fragment.app.Fragment
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.recyclerview.widget.LinearLayoutManager
import com.khmer9.boxingapplication.R
import com.khmer9.boxingapplication.adapter.CardItem
import com.khmer9.boxingapplication.adapter.EventAdapter
import com.khmer9.boxingapplication.adapter.TopNewsCardAdapter
import com.khmer9.boxingapplication.databinding.FragmentEventBinding
import com.khmer9.boxingapplication.databinding.FragmentHomeBinding

class EventFragment : Fragment() {
    private var _binding: FragmentEventBinding? = null

    // This property is only valid between onCreateView and
    // onDestroyView.
    private val binding get() = _binding!!

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
    }

    override fun onCreateView(
        inflater: LayoutInflater, container: ViewGroup?, savedInstanceState: Bundle?
    ): View? {
        _binding = FragmentEventBinding.inflate(inflater, container, false)
        val root: View = binding.root

        setEvent()

        return root
    }

    override fun onDestroyView() {
        super.onDestroyView()
        _binding = null
    }

    private fun setEvent() {
        val recyclerView = binding.recyclerViewEvent
        val cardList = createCardList() // Create your card data list here
        val cardAdapter = EventAdapter(cardList)

        recyclerView.layoutManager =
            LinearLayoutManager(context, LinearLayoutManager.VERTICAL, false)
        recyclerView.adapter = cardAdapter
    }

    private fun createCardList(): List<CardItem> {
        // Create and return your list of CardItems
        return listOf(
            CardItem(R.drawable.ic_launcher_background, "Date 1", "Title 1"),
            CardItem(R.drawable.ic_launcher_background, "Date 2", "Title 2"),
            CardItem(R.drawable.ic_launcher_background, "Date 3", "Title 3"),
            CardItem(R.drawable.ic_launcher_background, "Date 4", "Title 4"),
            CardItem(R.drawable.ic_launcher_background, "Date 5", "Title 5"),
            // Add more card items as needed
        )
    }
}